<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1, user-scalable=no">
    <title>适配-media-query(媒体查询)</title>
    <style>
        .content-wrap{
            display: flex;
        }
        .content{
            flex: 1;
            background-color: #999;
            display: flex;
            justify-content: center;
            align-items: center;
            border: 1px solid;
        }
        .a{
            background-color: red;
        }
        @media(max-width: 800px){
            .a{
                width:50px;
                height:50px;
                font-size:12px;
                color:#2e9900;
            }
        }
        @media (min-width:800px) and (max-width: 1000px){
            .a{
                width:200px;
                height:200px;
                font-size:20px;
                color:blue;
            }
        }
        @media (min-width:1000px){
            .a{
                width:450px;
                height:450px;
                font-size:40px;
            }
        }
    </style>
</head>
<body>
    <div class="content-wrap">
        <div class="content">
            <div class="a">a</div>
        </div>
        <div class="content">
            <div class="a">a</div>
        </div>
        <div class="content">
            <div class="a">a</div>
        </div>
    </div>
</body>
</html>